#!/bin/sh

USER=`whoami`
if [ "${USER}" != "root" ]; then
	echo "root権限で動かしてください"
	exit
fi

if [ "${1}" = -r ]; then
	rm -rf /usr/share/icons/im-setup-helper
	rm /usr/bin/fcitx-setup-helper
	rm /usr/bin/mozc-setup-helper
	rm /usr/share/applications/fcitx-setup-helper.desktop
	rm /usr/share/applications/mozc-setup-helper.desktop
	rm /etc/xdg/autostart/mozc-setup-helper-autostart.desktop
	echo "たぶん削除しました"
else
	mkdir -p /usr/share/icons/im-setup-helper
	cp *.png /usr/share/icons/im-setup-helper/
	cp fcitx-setup-helper mozc-setup-helper /usr/bin/
	chmod +x /usr/bin/fcitx-setup-helper /usr/bin/mozc-setup-helper
	cp fcitx-setup-helper.desktop mozc-setup-helper.desktop /usr/share/applications/
	cp mozc-setup-helper-autostart.desktop /etc/xdg/autostart/
	echo "削除するときはこのスクリプトに-rオプションをつけて実行してください。"

fi
